org.richfaces.validator

## Class DummyBeanValidatorService

- java.lang.Object
- - org.richfaces.validator.DummyBeanValidatorService

- All Implemented Interfaces:
    org.richfaces.validator.BeanValidatorService

      public class DummyBeanValidatorService
      extends Object
      implements org.richfaces.validator.BeanValidatorService

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyBeanValidatorService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<org.richfaces.validator.ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)`
    `Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)`
    `Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object object, Class<?>... groups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyBeanValidatorService

          public DummyBeanValidatorService()

  - ### Method Detail

    - #### getConstrains

          public Collection<org.richfaces.validator.ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                                              javax.el.ValueExpression expression,
                                                                              String message,
                                                                              Class<?>... groups)

      Specified by:
        `getConstrains` in interface `org.richfaces.validator.BeanValidatorService`

    - #### validateExpression

          public Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                              javax.el.ValueExpression expression,
                                              Object newValue,
                                              Class<?>... groups)

      Specified by:
        `validateExpression` in interface `org.richfaces.validator.BeanValidatorService`

    - #### validateObject

          public Collection<String> validateObject(javax.faces.context.FacesContext context,
                                          Object object,
                                          Class<?>... groups)

      Specified by:
        `validateObject` in interface `org.richfaces.validator.BeanValidatorService`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.